PropertySourcesConfig (Grails 6.0.0)

Package: org.grails.config

## [Java] Class PropertySourcesConfig

- org.grails.config.PropertySourcesConfig

-     public class PropertySourcesConfig
      extends NavigableMapConfig

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.springframework.core.env.PropertySources` | `propertySources` |
    `protected org.springframework.core.env.PropertySourcesPropertyResolver` | `propertySourcesPropertyResolver` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class NavigableMapConfig` | `LOG, classLoader, configMap, conversionService`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertySourcesConfig (org.springframework.core.env.PropertySources propertySources)`
    `PropertySourcesConfig ()`
    `PropertySourcesConfig (java.util.Map<java.lang.String, java.lang.Object> mapPropertySource)`
    `PropertySourcesConfig (org.springframework.core.env.PropertySource propertySource)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.core.env.PropertySources` | `getPropertySources()`
    `` | `protected void` | `initializeFromPropertySources(org.springframework.core.env.PropertySources propertySources)`
    `` | `private void` | `mergeEnumerablePropertySource(org.springframework.core.env.EnumerablePropertySource enumerablePropertySource)`
    `` | `private java.lang.Object` | `processAndEvaluate(java.lang.Object value)`
    `` | `public void` | `refresh()`
    `` | `public java.lang.String` | `resolvePlaceholders(java.lang.String text)`
    `` | `public java.lang.String` | `resolveRequiredPlaceholders(java.lang.String text)`
    `` | `public void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `` | `public void` | `setConversionService(org.springframework.core.convert.support.ConfigurableConversionService conversionService)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NavigableMapConfig` | `asType, checkPropertyName, clear, containsKey, containsKey, containsProperty, containsValue, convertPropsToMap, convertToMap, convertTokensIntoArrayList, convertValueIfNecessary, entrySet, equals, findInSystemEnvironment, flatten, get, getAt, getProperty, getProperty, getProperty, getProperty, getProperty, getRequiredProperty, getRequiredProperty, getValueWithDotNotatedKeySupport, hashCode, isEmpty, iterator, keySet, merge, mergeMapEntry, navigate, put, putAll, remove, resolvePropertyName, setAt, size, toEnumValue, toProperties, toString, values`

- - ### Field Detail

    - #### protected org.springframework.core.env.PropertySources propertySources

    - #### protected org.springframework.core.env.PropertySourcesPropertyResolver propertySourcesPropertyResolver

  - ### Constructor Detail

    - #### public PropertySourcesConfig(org.springframework.core.env.PropertySources propertySources)

    - #### public PropertySourcesConfig()

    - #### public PropertySourcesConfig(java.util.Map<java.lang.String, java.lang.Object> mapPropertySource)

    - #### public PropertySourcesConfig(org.springframework.core.env.PropertySource propertySource)

  - ### Method Detail

    - #### public org.springframework.core.env.PropertySources getPropertySources()

    - #### protected void initializeFromPropertySources(org.springframework.core.env.PropertySources propertySources)

    - #### private void mergeEnumerablePropertySource(org.springframework.core.env.EnumerablePropertySource enumerablePropertySource)

    - #### private java.lang.Object processAndEvaluate(java.lang.Object value)

    - #### public void refresh()

    - #### @java.lang.Override public java.lang.String resolvePlaceholders(java.lang.String text)

    - #### @java.lang.Override public java.lang.String resolveRequiredPlaceholders(java.lang.String text)

    - #### public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### public void setConversionService(org.springframework.core.convert.support.ConfigurableConversionService conversionService)